Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel
Class AbortableHSSFListener

    java.lang.Object
      org.apache.poi.hssf.eventusermodel.AbortableHSSFListener

All Implemented Interfaces:
  HSSFListener

    public abstract class AbortableHSSFListener

extends java.lang.Object
implements HSSFListener

Abstract class for use with the HSSFRequest and HSSFEventFactory, which allows for the halting of processing. Users should create subclass of this (which implements the usual HSSFListener), and then override the #abortableProcessRecord(Record) method to do their processing. This should then be registered with the HSSFRequest (associating it with Record SID's) as usual.

Author:
  Carey Sublette (careysub@earthling.net)
See Also:
  `HSSFEventFactory`, `HSSFRequest`, `HSSFUserException`

Constructor Summary
`AbortableHSSFListener()`

Method Summary
`abstract short` | `abortableProcessRecord(Record record)` Process an HSSF Record.
`void` | `processRecord(Record record)` This method, inherited from HSSFListener is implemented as a stub.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbortableHSSFListener

    public AbortableHSSFListener()

Method Detail

### processRecord

    public void processRecord(Record record)

  This method, inherited from HSSFListener is implemented as a stub. It is never called by HSSFEventFactory or HSSFRequest. You should implement #abortableProcessRecord instead

  Specified by:
    `processRecord` in interface `HSSFListener`

### abortableProcessRecord

    public abstract short abortableProcessRecord(Record record)
                                          throws HSSFUserException

  Process an HSSF Record. Called when a record occurs in an HSSF file. Provides two options for halting the processing of the HSSF file. The return value provides a means of non-error termination with a user-defined result code. A value of zero must be returned to continue processing, any other value will halt processing by `HSSFEventFactory` with the code being passed back by its abortable process events methods. Error termination can be done by throwing the HSSFUserException. Note that HSSFEventFactory will not call the inherited process

  Returns:
    result code of zero for continued processing.
  Throws:
    `HSSFUserException` - User code can throw this to abort file processing by HSSFEventFactory and return diagnostic information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.